Skip to content
View as Markdown

POST Force Advance Funnel Subscriber​

POST
/funnels/{id}/subscribers/{subscriber_id}/advance

Force a subscriber to advance to a specific sequence step in the funnel. The subscriber must be in active or waiting status (not completed, cancelled, or pending). If the subscriber is currently waiting on a benchmark, the benchmark is marked as skipped. The subscriber is then advanced to the target sequence and processing continues.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The funnel ID.

Type
integer
Required
subscriber_id*

The subscriber/contact ID.

Type
integer
Required

Request Body​

application/json
JSON
{
"sequence_id": 0
}

Responses​

Subscriber advanced successfully.

application/json
JSON
{
"message": "string",
"funnel_subscriber": {
"id": 0,
"funnel_id": 0,
"subscriber_id": 0,
"status": "string",
"last_sequence_id": 0,
"next_sequence_id": 0,
"next_execution_time": "string",
"last_sequence": {
},
"next_sequence_item": {
}
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI